Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(462)

Issue 4898044: Fixes heights and pure heights of stems. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
7 years, 10 months ago by MikeSol
Modified:
7 years, 3 months ago
CC:
lilypond-devel_gnu.org
Visibility:
Public.

Description

Fixes heights and pure heights of stems.

Patch Set 1 #

Total comments: 7

Patch Set 2 : Suggested changes plus pure height caching. #

Total comments: 6

Patch Set 3 : Fixes problems with dimensions pointed out by Han-Wen. #

Patch Set 4 : Creates a stem::length function. #

Patch Set 5 : Rebase against current master. #

Patch Set 6 : Rebase against current master. #

Patch Set 7 : Rebase after flag changes #

Unified diffs Side-by-side diffs Delta from patch set Stats (+304 lines, -187 lines) Patch
M input/regression/stem-length-estimation.ly View 1 2 chunks +4 lines, -3 lines 0 comments Download
A input/regression/stem-length-override.ly View 1 2 3 1 chunk +13 lines, -0 lines 0 comments Download
A input/regression/stem-pure-height-beamed.ly View 1 chunk +13 lines, -0 lines 0 comments Download
M lily/beam.cc View 1 2 3 4 1 chunk +2 lines, -2 lines 0 comments Download
M lily/dot-column.cc View 1 2 3 4 5 6 1 chunk +0 lines, -1 line 0 comments Download
M lily/flag.cc View 1 2 3 4 5 6 4 chunks +7 lines, -5 lines 0 comments Download
M lily/include/item.hh View 1 1 chunk +1 line, -0 lines 0 comments Download
M lily/include/stem.hh View 1 2 3 4 5 6 2 chunks +12 lines, -3 lines 0 comments Download
M lily/item.cc View 1 2 3 4 1 chunk +8 lines, -2 lines 0 comments Download
M lily/note-spacing.cc View 1 2 3 4 2 chunks +3 lines, -11 lines 0 comments Download
M lily/staff-spacing.cc View 1 2 3 4 1 chunk +1 line, -11 lines 0 comments Download
M lily/stem.cc View 1 2 3 4 5 6 13 chunks +214 lines, -129 lines 0 comments Download
M lily/stem-tremolo.cc View 1 2 chunks +2 lines, -2 lines 0 comments Download
M lily/tie-formatting-problem.cc View 1 2 3 4 5 6 1 chunk +2 lines, -1 line 0 comments Download
M lily/tuplet-bracket.cc View 1 chunk +2 lines, -8 lines 0 comments Download
M ly/engraver-init.ly View 1 2 3 4 5 6 1 chunk +0 lines, -1 line 0 comments Download
M scm/define-grob-properties.scm View 1 2 3 4 5 6 1 chunk +0 lines, -4 lines 0 comments Download
M scm/define-grobs.scm View 1 2 3 4 5 6 2 chunks +1 line, -3 lines 0 comments Download
M scm/flag-styles.scm View 1 2 3 4 5 6 1 chunk +8 lines, -1 line 0 comments Download
M scm/output-lib.scm View 1 2 3 1 chunk +11 lines, -0 lines 0 comments Download

Messages

Total messages: 22
MikeSol
Hey all, This patch fixes a bug in LilyPond that has nagged me for some ...
7 years, 10 months ago (2011-08-14 16:25:28 UTC) #1
Bertrand Bordage
Benchmark done on a book with many beams: without the patch: 51.8s and 80 pages ...
7 years, 10 months ago (2011-08-14 19:22:21 UTC) #2
Bertrand Bordage
Same remark for fingerings. See input/regression/fingering-cross-staff.ly Consecutive ties look better in input/regression/tie-single.ly
7 years, 10 months ago (2011-08-14 20:16:41 UTC) #3
Trevor Daniels
Wow, this is a major rewrite! I can't comment on the logic, and at present ...
7 years, 10 months ago (2011-08-14 20:33:32 UTC) #4
Neil Puttock
Hi Mike, This looks like a work in progress. What's going on with the begin/end ...
7 years, 10 months ago (2011-08-14 23:03:49 UTC) #5
MikeSol
Hey all, Thanks for your comments! I'm outta town now, so I won't be able ...
7 years, 10 months ago (2011-08-15 12:31:17 UTC) #6
MikeSol
Hey all, I've addressed all the concerns sent in so far in a new patch ...
7 years, 10 months ago (2011-08-15 14:06:21 UTC) #7
Neil Puttock
On 15 August 2011 13:31, <mtsolo@gmail.com> wrote: > Also, just a quick reply to let ...
7 years, 10 months ago (2011-08-15 21:33:07 UTC) #8
hanwenn
On Sun, Aug 14, 2011 at 1:25 PM, <mtsolo@gmail.com> wrote: > THE UGLY: > > ...
7 years, 10 months ago (2011-08-15 21:48:57 UTC) #9
mikesol_ufl.edu
On Aug 15, 2011, at 11:33 PM, Neil Puttock wrote: > On 15 August 2011 ...
7 years, 10 months ago (2011-08-15 21:51:20 UTC) #10
hanwenn
overall comment: since you're hijacking the Y-extent property for storing the logical end of the ...
7 years, 10 months ago (2011-08-15 21:57:43 UTC) #11
MikeSol
I see what you mean about flags, and I think there are two ways to ...
7 years, 10 months ago (2011-08-16 07:38:24 UTC) #12
mail_philholmes.net
----- Original Message ----- From: "Han-Wen Nienhuys" <hanwenn@gmail.com> To: <mtsolo@gmail.com>; <lilypond-devel@gnu.org>; <reply@codereview.appspotmail.com> Sent: Monday, August ...
7 years, 10 months ago (2011-08-16 08:16:22 UTC) #13
MikeSol
On 2011/08/15 21:33:07, Neil Puttock wrote: > On 15 August 2011 13:31, <mailto:mtsolo@gmail.com> wrote: > ...
7 years, 10 months ago (2011-08-16 09:24:10 UTC) #14
hanwenn
On Tue, Aug 16, 2011 at 4:38 AM, <mtsolo@gmail.com> wrote: > 2) Create a Flag ...
7 years, 10 months ago (2011-08-16 10:51:44 UTC) #15
janek
2011/8/16 Han-Wen Nienhuys <hanwenn@gmail.com>: > #2) sounds neat, but maybe Janek (who has spent some ...
7 years, 10 months ago (2011-08-23 22:09:21 UTC) #16
mikesol_ufl.edu
On Aug 24, 2011, at 12:09 AM, Janek Warchoł wrote: > 2011/8/16 Han-Wen Nienhuys <hanwenn@gmail.com>: ...
7 years, 10 months ago (2011-08-24 06:45:59 UTC) #17
janek
2011/8/24 Mike Solomon <mikesol@ufl.edu>: > On Aug 24, 2011, at 12:09 AM, Janek Warchoł wrote: ...
7 years, 10 months ago (2011-08-24 11:46:28 UTC) #18
mikesol_ufl.edu
On Aug 24, 2011, at 1:46 PM, Janek Warchoł wrote: > 2011/8/24 Mike Solomon <mikesol@ufl.edu>: ...
7 years, 10 months ago (2011-08-24 11:48:40 UTC) #19
MikeSol
Pushed as aaacb8cdd5bc029a8d0c87f90b817d97fcd5ad80. Thanks to everyone for their help! Cheers, MS
7 years, 10 months ago (2011-08-27 16:41:38 UTC) #20
Keith
On 2011/08/14 16:25:28, MikeSol wrote: > Hey all, > > This patch fixes a bug ...
7 years, 3 months ago (2012-03-27 04:47:02 UTC) #21
mikesol_ufl.edu
7 years, 3 months ago (2012-03-27 06:14:22 UTC) #22
> Mike,
>  The code in lily/note-collision.cc:219 needs an update to adjust the
> stem beginning (issue 2441).  I tried but I can't find the "pure
> callback for stem beginnings".
> 

ly:stem::pure-calc-stem-begin-position

Lemme know if I can be of help w/ fixing this!

Cheers,
MS
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b